Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Louie James Maglinao applied on Indeed
From: "Louie James Maglinao" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Tue, 10 Jan 2023 08:33:41 -0600 (CST)

Thank you for your time again earlier! I have checked online stores now about the power backup, I just want you to know that I can buy one if I needed to. Have a good day again, Pritish!

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3C8dcf5177-6ebc-4548-bf56-1fec7446264e%40indeedemail.com%3E&hl=en_PH&co=PH>

Indeed processes and analyzes your activity in this email.

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.